diary
%% perform all the counterfactual analysis
display(["counterfactual exercises for the baseline model"])
run("./baseline/model_simulation_import_tariff")
run("./baseline/model_simulation_export_tariff")
display(["counterfactual exercises for varying theta across industries"])
run("./varying_theta/model_simulation_import_tariff")
run("./varying_theta/model_simulation_export_tariff")
display(["counterfactual exercises considering tariff rates for processing imports"])
run("./processing_import_tariff/model_simulation_import_tariff")
run("./processing_import_tariff/model_simulation_export_tariff")
display(["counterfactual exercises considering tariff rates for no interprovincial trade"])
run("./no_interprovincial_trade/model_simulation_import_tariff")
run("./no_interprovincial_trade/model_simulation_export_tariff")

%% obtain the results for the baseline
clear
load("./baseline/observed")
emp=zeros(29,30);
for i=1:30
    emp=emp+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

% changes in real wage levels due to import tariff change
load('./baseline/results_import_tariff','w0','P')
rwage_change_import_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

% changes in real wage levels due to export tariff change
load('./baseline/results_export_tariff','w0','P')
rwage_change_export_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

rwage_level_baseline=round(mean(rwage_change_import_tariff+rwage_change_export_tariff),2)


% changes in inequality due to import tariff change
load('./baseline/results_import_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_import_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_import_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

% changes in inequality due to export tariff change
load('./baseline/results_export_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_export_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_export_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_export_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_export_tariff=round(rwage_change_export_tariff./rwage_initial_theil*100,1);

nwage_percent_theil_baseline=nwage_percent_import_tariff+nwage_percent_export_tariff
rwage_percent_theil_baseline=rwage_percent_import_tariff+rwage_percent_export_tariff


%% obtain the results for varying theta
load("./varying_theta/observed")
emp=zeros(29,30);
for i=1:30
    emp=emp+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

% changes in real wage levels due to import tariff change
load('./varying_theta/results_import_tariff','w0','P')
rwage_change_import_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

% changes in real wage levels due to export tariff change
load('./varying_theta/results_export_tariff','w0','P')
rwage_change_export_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

rwage_level_theta=round(mean(rwage_change_import_tariff+rwage_change_export_tariff),2)


% changes in inequality due to import tariff change
load('./varying_theta/results_import_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_import_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_import_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

% changes in inequality due to export tariff change
load('./varying_theta/results_export_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_export_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_export_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_export_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_export_tariff=round(rwage_change_export_tariff./rwage_initial_theil*100,1);

nwage_percent_theil_theta=nwage_percent_import_tariff+nwage_percent_export_tariff
rwage_percent_theil_theta=rwage_percent_import_tariff+rwage_percent_export_tariff


%% obtain the results for no interprovicial exports
load("./no_interprovincial_trade/observed_noprotrade")
emp=zeros(29,30);
for i=1:30
    emp=emp+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

% changes in real wage levels due to import tariff change
load('./no_interprovincial_trade/results_import_tariff','w0','P')
rwage_change_import_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

% changes in real wage levels due to export tariff change
load('./no_interprovincial_trade/results_export_tariff','w0','P')
rwage_change_export_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

rwage_level_interpro=round(mean(rwage_change_import_tariff+rwage_change_export_tariff),2)


% changes in inequality due to import tariff change
load('./no_interprovincial_trade/results_import_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_import_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_import_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

% changes in inequality due to export tariff change
load('./no_interprovincial_trade/results_export_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_export_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_export_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_export_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_export_tariff=round(rwage_change_export_tariff./rwage_initial_theil*100,1);

nwage_percent_theil_interpro=nwage_percent_import_tariff+nwage_percent_export_tariff
rwage_percent_theil_interpro=rwage_percent_import_tariff+rwage_percent_export_tariff


%% obtain the results with tariff for processing exports
load("./processing_import_tariff/observed_tariff_process")
emp=zeros(29,30);
for i=1:30
    emp=emp+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

% changes in real wage levels due to import tariff change
load('./processing_import_tariff/results_import_tariff','w0','P')
rwage_change_import_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

% changes in real wage levels due to export tariff change
load('./processing_import_tariff/results_export_tariff','w0','P')
rwage_change_export_tariff=round((1./(sum(w0(1:30,:)'.*emp,1)./sum(emp,1))'-1./P(1:30))*100,2);

rwage_level_process=round(mean(rwage_change_import_tariff+rwage_change_export_tariff),2)


% changes in inequality due to import tariff change
load('./processing_import_tariff/results_import_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_import_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_import_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_import_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

% changes in inequality due to export tariff change
load('./processing_import_tariff/results_export_tariff','china_pi_1','china_pi_2','mighat_china1','mighat_china2','china_gdp','china_gdp_ori','P')
emp_new=zeros(29,30);
china_pi_1=china_pi_1.*mighat_china1;
china_pi_2=china_pi_2.*mighat_china2;
for i=1:30
    emp_new=emp_new+china_pi_1(:,:,i).*low_skill(i)+china_pi_2(:,:,i).*high_skill(i);
end

avg_wage_ori=sum(sum(china_gdp_ori))./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1);
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp))./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1);
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

nwage_change_export_tariff=round(theil_ori-theil_new,4);
nwage_initial_theil=round(theil_ori,4);
nwage_percent_export_tariff=round((theil_ori-theil_new)./theil_ori*100,1);

initial_price=[0.999999945
0.801308935
0.620697561
0.725945131
0.675605771
0.682159066
0.663056176
0.671662669
0.974217371
0.730109586
0.723100912
0.651750377
0.71169836
0.666190963
0.673712788
0.621383012
0.697849924
0.75450989
0.8689851
0.694331626
0.845142585
0.628808338
0.651987134
0.725559107
0.768235784
0.733669144
0.69722035
0.72429783
0.682682428
0.69949979
];

avg_wage_ori=sum(sum(china_gdp_ori,1)./initial_price')./sum(sum(emp));
avg_wage_pro_ori=sum(china_gdp_ori,1)./sum(emp,1)./initial_price';
theil_ori=sum(sum(emp,1).*avg_wage_pro_ori./sum(sum(emp))./avg_wage_ori.*log(avg_wage_pro_ori./avg_wage_ori));

avg_wage_new=sum(sum(china_gdp,1)./initial_price'./P(1:30)')./sum(sum(emp_new));
avg_wage_pro_new=sum(china_gdp,1)./sum(emp_new,1)./initial_price'./P(1:30)';
theil_new=sum(sum(emp_new,1).*avg_wage_pro_new./sum(sum(emp_new))./avg_wage_new.*log(avg_wage_pro_new./avg_wage_new));

rwage_change_export_tariff=round(theil_ori-theil_new,4);
rwage_initial_theil=round(theil_ori,4);
rwage_percent_export_tariff=round(rwage_change_export_tariff./rwage_initial_theil*100,1);

nwage_percent_theil_process=nwage_percent_import_tariff+nwage_percent_export_tariff
rwage_percent_theil_process=rwage_percent_import_tariff+rwage_percent_export_tariff
%% report results
label=["ʡʵʹƽ仯";"ʡݼ幤Theilָ";"ʡݼʵʹTheilָ"];
baseline=[rwage_level_baseline;nwage_percent_theil_baseline;rwage_percent_theil_baseline];
varying_theta=[rwage_level_theta;nwage_percent_theil_theta;rwage_percent_theil_theta];
processing_tariff=[rwage_level_process;nwage_percent_theil_process;rwage_percent_theil_process];
no_interpro=[rwage_level_interpro;nwage_percent_theil_interpro;rwage_percent_theil_interpro];
table(baseline,varying_theta,processing_tariff,no_interpro,'RowNames',label)
diary off